using System.Text.Json.Serialization;

namespace FastBill.Models;

public class Customer
{
    [JsonPropertyName("CUSTOMER_NUMBER")]
    public string Nr { get; set; }
    [JsonPropertyName("CUSTOMER_ID")]
    public string Id { get; set; }
    [JsonPropertyName("CUSTOMER_TYPE")]
    public string Type { get; set; }
    [JsonPropertyName("ORGANIZATION")]
    public string Company { get; set; }
    [JsonPropertyName("FIRST_NAME")]
    public string Firstname { get; set; }
    [JsonPropertyName("LAST_NAME")]
    public string Lastname { get; set; }
    [JsonPropertyName("ADDRESS")]
    public string Address { get; set; }
    [JsonPropertyName("ZIPCODE")]
    public string Zip { get; set; }
    [JsonPropertyName("CITY")]
    public string City { get; set; }
    [JsonPropertyName("PHONE")]
    public string Phone { get; set; }
    [JsonPropertyName("EMAIL")]
    public string EMail { get; set; }
    [JsonPropertyName("WEBSITE")]
    public string Website { get; set; }
    [JsonPropertyName("DOCUMENT_HISTORY_URL")]
    public string DocumentsUrl { get; set; }
    
    public List<Contact> Contacts { get; set; } = new List<Contact>();
}